package com.thinkgem.jeesite.modules.pay.juhezhong.dto;

public class JuhezhongDto extends JuhezhongBaseDto implements java.io.Serializable{

    /**
     * 订单金额 (分)
     * quickBPay 必传
     * webPay 必传
     */
    private Integer amount;

    /**
     * 交易类型
     * quickBPay 必传
     */
    private Integer trxType;

    /**
     * 5 借记卡 只能 D0 6 贷记卡 D0 t1
     * quickBPay 必传
     * webPay 必传
     */
    private Integer type;

    /**
     * 支付卡号
     * quickBPay 必传
     */
    private String bankNo;

    /**
     * 安全码
     * quickBPay 必传
     */
    private String cvn2;

    /**
     * 支付卡预留手机号
     * quickBPay 必传
     */
    private String phone;

    /**
     *  信用卡有效期(MMYY)
     *  quickBPay 必传
     */
    private String expired;

    /**
     * 手续费 单位：分 ，D0 业务必传
     */
    private Integer userFee;

    /**
     * 结算银行 D0 业务必传
     */
    private String settleBankName;

    /**
     * 一个身份证只能对应一个结算卡 D0 业务必传
     */
    private String settleBankNo;

    /**
     * 结算卡预留手机号 D0 业务必传
     */
    private String settleBankPhone;

    /**
     * 开户名 D0 业务必传
     */
    private String name;

    /**
     * 开户人身份证号 D0 业务必传
     */
    private String certificateCode;

    /**
     * 通知url
     * quickBPay 必传
     * webPay 必传
     */
    private String notifyUrl;

    /**
     * 前台地址 get 请求地址 frontUrl?code=0000&orderId=xxx&msg=xxx
     * quickBPay 必传
     * webPay 必传
     */
    private String frontUrl;

    /**
     * 记录用户绑卡信息
     */
    private String userId;

    /**
     * 时间戳
     * quickBPay 必传
     * orderQuery 必传
     * webPay 必传
     */
    private Long timestamp;

    /**
     * 商品描述
     * webPay 必传
     */
    private String productName;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public Integer getTrxType() {
        return trxType;
    }

    public void setTrxType(Integer trxType) {
        this.trxType = trxType;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getBankNo() {
        return bankNo;
    }

    public void setBankNo(String bankNo) {
        this.bankNo = bankNo;
    }

    public String getCvn2() {
        return cvn2;
    }

    public void setCvn2(String cvn2) {
        this.cvn2 = cvn2;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getExpired() {
        return expired;
    }

    public void setExpired(String expired) {
        this.expired = expired;
    }

    public Integer getUserFee() {
        return userFee;
    }

    public void setUserFee(Integer userFee) {
        this.userFee = userFee;
    }

    public String getSettleBankName() {
        return settleBankName;
    }

    public void setSettleBankName(String settleBankName) {
        this.settleBankName = settleBankName;
    }

    public String getSettleBankNo() {
        return settleBankNo;
    }

    public void setSettleBankNo(String settleBankNo) {
        this.settleBankNo = settleBankNo;
    }

    public String getSettleBankPhone() {
        return settleBankPhone;
    }

    public void setSettleBankPhone(String settleBankPhone) {
        this.settleBankPhone = settleBankPhone;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCertificateCode() {
        return certificateCode;
    }

    public void setCertificateCode(String certificateCode) {
        this.certificateCode = certificateCode;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public String getFrontUrl() {
        return frontUrl;
    }

    public void setFrontUrl(String frontUrl) {
        this.frontUrl = frontUrl;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }
}
